#cmplz-manage-consent .cmplz-manage-consent {
    position: absolute !important;
    top: auto;
    right: auto !important;
    left: 20px;
}

#cmplz-manage-consent {
    display: block;
    position: relative;
}

/* === BOTH === */
.cmplz-cookiebanner.optout .cmplz-body, .cmplz-cookiebanner.optin .cmplz-body {
    display: flex;
    flex-flow: column nowrap;
    gap: 0.625rem;
    min-width: unset;
    overflow: auto;
    max-height: unset;
    width: auto;
}

.cmplz-cookiebanner.optout .cmplz-links ul li, .cmplz-cookiebanner.optin .cmplz-links ul li {
    padding: 0;
    margin: 0;
}

.cmplz-cookiebanner.optout .cmplz-links ul li::before, .cmplz-cookiebanner.optin .cmplz-links ul li::before {
    display: none;
}

.cmplz-cookiebanner.optout .cmplz-message p, .cmplz-cookiebanner.optin .cmplz-message p {
    margin: 0;
}

.cmplz-cookiebanner.optout .cmplz-message a:hover, .cmplz-cookiebanner.optin .cmplz-message a:hover {
    text-decoration: none;
}

/* === OPT OUT === */
body.cmplz-banner-active.cmplz-optout *:not(.cmplz-cookiebanner):not(.cmplz-cookiebanner *) {
    pointer-events: auto !important;
    user-select: auto !important;
}

.cmplz-cookiebanner.optout {
    top: auto;
    bottom: 1.25rem;
    left: 1.25rem;
    transform: none;
    width: calc(100% - 2.5rem);
    min-width: unset;
    font-family: 'Nunito Sans', sans-serif;
    display: flex;
    align-items: center;
    grid-gap: unset;
    grid-row-gap: unset;
    gap: clamp(0.625rem, 3.75vw, 3.75rem);
    animation: none;
}

.cmplz-cookiebanner.optout .cmplz-text {
    display: flex;
    flex-flow: column nowrap;
    gap: 0.375rem;
    flex: 0 1 60%;
}

.cmplz-cookiebanner.optout .cmplz-header {
    display: block;
}

.cmplz-cookiebanner.optout .cmplz-title {
    font-size: clamp(1rem, 1.25vw, 1.25rem);
    justify-self: auto;
}

.cmplz-cookiebanner.optout .cmplz-message {
    width: auto;
    margin: 0;
    font-size: 12px;
    line-height: 1.5;
}

.cmplz-cookiebanner.optout .cmplz-categories {
    min-width: unset;
    width: auto;
}

.cmplz-cookiebanner.optout .cmplz-categories .cmplz-category .cmplz-description {
    font-size: 12px;
    line-height: 1.5;
}

.cmplz-cookiebanner.optout .cmplz-buttons {
    flex: 0 1 40%;
}

.cmplz-cookiebanner.optout .cmplz-buttons .cmplz-btn {
    font-size: 12px;
    font-weight: bold;
    line-height: 1.2;
    flex: 1;
    min-width: 172px;
}

.cmplz-cookiebanner.optout .cmplz-links.cmplz-information, .cmplz-cookiebanner.optout .cmplz-documents, .cmplz-cookiebanner.optout .cmplz-divider, .cmplz-cookiebanner.optin .cmplz-divider {
    display: none;
}

.cmplz-cookiebanner.optout .cmplz-close {
    border: 0;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    width: 1.875rem;
    height: 1.875rem;
    position: absolute;
    top: 5px;
    right: 5px;
}

.cmplz-cookiebanner.optout .cmplz-close svg {
    width: 16px;
    height: 16px;
}

.cmplz-cookiebanner.optout .cmplz-close svg path {
    fill: #272763;
}

.cmplz-cookiebanner.optout .cmplz-links ul li::before, .cmplz-cookiebanner .cmplz-link.cookie-statement, .cmplz-cookiebanner .cmplz-link.impressum {
    display: none;
}

.cmplz-cookiebanner.optout .cmplz-deny, .cmplz-cookiebanner.optout .cmplz-view-preferences {
    display: block;
}

@media (max-width: 991px) {
    .cmplz-cookiebanner.optout {
        flex-flow: column nowrap;
        gap: 1rem;
        left: 0;
        bottom: 0;
        width: 100%;
        border-radius: 0;
    }

    .cmplz-cookiebanner.optout .cmplz-text {
        text-align: center;
    }

    .cmplz-cookiebanner.optout .cmplz-buttons {
        flex-direction: row;
        flex: 0 1 auto;
    }

    .cmplz-cookiebanner.optout .cmplz-buttons .cmplz-btn {
        min-width: 0;
        flex: 0 1 auto;
        width: auto;
    }
}

/* === OPT IN === */

.cmplz-cookiebanner.optin {
    max-width: 700px;
    width:100%;
    min-width: unset;
    display: flex;
    flex-flow: column nowrap;
    gap: 0.625rem;
    font-family: 'Nunito Sans', sans-serif;
    padding: clamp(1.25rem, 2.5vw, 2.5rem) clamp(1.25rem, 3vw, 3rem);
}

.cmplz-cookiebanner.optin .cmplz-text {
    display: flex;
    flex-flow: column nowrap;
    gap: 0.375rem;
}

.cmplz-cookiebanner.optin .cmplz-title {
    font-size: 1.5rem;
}

.cmplz-cookiebanner.optin .cmplz-message, .cmplz-cookiebanner.optin .cmplz-categories {
    width: auto;
    font-size: clamp(1rem, 1.125vw, 1.125rem);
    line-height: 1.5;
    margin: 0;
}

.cmplz-cookiebanner.optin .cmplz-buttons {
    flex-flow: column nowrap;
}

.cmplz-cookiebanner.optin .cmplz-close {
    display: none;
}